<% if (section === 'css') { %>
<style>
  .switch.team label .lever {
     background-color: <%= colors.home_background %>;
  }

  .switch.team label input[type="checkbox"]:checked + .lever {
     background-color: <%= colors.away_background %>;
  }

  .switch.team label input[type=checkbox]:checked+.lever:after {
     background-color: white;
  }

  .page[page=manMeer] {
    height: calc(100% - 64px);
  }

  .page[page=manMeer] .subpage[subpage=active] {
    display: flex;
    flex-direction: column;
    height: 100%;
    text-align: center;
  }

  .manMeer-row {
    flex: 1;
    display: flex;
    flex-direction: row;
  }

  .manMeer-item {
    flex: 1;
    border: 1px solid black;
  }

  .manMeer-reset-button {
    background-color: <%= colors.reset_background %>;
    color: <%= colors.reset_text %>;
  }

  .manMeer-time-container {
    display: flex;
    flex-direction: column;
  }

  #manMeer-time {
    flex: 1;
  }

  .manMeer-switch {
    flex: 3;
  }

  .manMeer-button {
    cursor: pointer;
    user-select: none;
  }

  .manMeer-home {
    background-color: <%= colors.watervlo_yellow %>;
    color: <%= colors.watervlo_blue %>;
  }

  .manMeer-away {
    background-color: <%= colors.watervlo_blue %>;
    color: <%= colors.watervlo_yellow %>;
  }
</style>
<% } %>

<% if (section === 'html') { %>
<div class="page" page="manMeer">
  <div class="subpage" subpage="config">
    <center>
      <div class="container row">
        <div class="col s12 m6 offset-m3">
          <div class="row">
            <div class="col s12">
              <h4>Configuratie</h4>
              <h5>Aantal aanvallen: (per team)</h5>
              <h5 id="manMeer-games"></h5>
              <a class="btn-large waves-effect watervlo-blue" onclick="connection.sendCommand('manMeer', 'gamesMin')">-1</a>
              <a class="btn-large waves-effect watervlo-blue" onclick="connection.sendCommand('manMeer', 'gamesPlus')">+1</a>

              <h5>Team dat begint:</h5>
              <div class="switch team" align="center" onchange="connection.sendCommand('manMeer', 'toggleStartingTeam')">
                <label>
                  <h6 style="display: inline;">Thuis</h6>
                  <input id="manMeer-starting-team" type="checkbox">
                  <span class="lever"></span>
                  <h6 style="display: inline;">Uit</h6>
                </label>
              </div>

              <h5>Achter elkaar of om-en-om:</h5>
              <div class="switch" align="center" onchange="connection.sendCommand('manMeer', 'setMode', { mode: document.getElementById('manMeer-mode').checked ? 'alternately' : 'sequential' })">
                <label>
                  <h6 style="display: inline;">Achter elkaar</h6>
                  <input id="manMeer-mode" type="checkbox">
                  <span class="lever"></span>
                  <h6 style="display: inline;">Om-en-om</h6>
                </label>
              </div>
            </div>
          </div>
          <div class="row">
            <a class="btn waves-effect watervlo-blue col s12" onclick="connection.sendCommand('manMeer', 'start')">Start</a>
          </div>
        </div>
      </div>
    </center>
  </div>
  <div class="subpage" subpage="active">
    <div id="manMeer-score" class="manMeer-row">
      <div class="manMeer-item text-fit manMeer-button" onclick="connection.sendCommand('manMeer', 'miss')">Mis</div>
      <div class="manMeer-item text-fit manMeer-button" onclick="connection.sendCommand('manMeer', 'hit')">Raak</div>
    </div>
    <div class="manMeer-row">
      <div class="manMeer-item manMeer-reset-button text-fit manMeer-button" onclick="connection.sendCommand('manMeer', 'reset20')">Reset 20</div>
      <div class="manMeer-item manMeer-time-container">
        <div id="manMeer-time" class="text-fit"></div>
        <div class="manMeer-switch switch" onclick="connection.sendCommand('manMeer', 'toggleTime')">
          <input id="manMeer-time-switch" type="checkbox">
          <div class="switch-slider"></div>
          <span class="switch-off-text text-fit">Stop</span>
          <span class="switch-on-text text-fit">Start</span>
          <div class="switch-background is-time-toggle"></div>
        </div>
      </div>
    </div>
    <div class="manMeer-row">
      <div class="manMeer-item manMeer-reset-button text-fit manMeer-button" onclick="resetManmeer()">Reset alles</div>
      <div class="manMeer-item manMeer-reset-button text-fit manMeer-button" onclick="connection.sendCommand('manMeer', 'undo')">Undo</div>
    </div>
  </div>
  <div class="subpage" subpage="finished">
    <center>
      <div class="container row">
        <div class="col s12 m6 offset-m3">
          <div class="row">
            <h4>Klaar</h4>
            <h5 id="manMeer-finished-text"></h5>
          </div>
          <div class="row">
            <a class="btn waves-effect red col s12" onclick="connection.sendCommand('manMeer', 'undo')">Undo</a>
          </div>
          <div class="row">
            <a class="btn waves-effect watervlo-blue col s12" onclick="connection.sendCommand('manMeer', 'resetAll')">Begin opnieuw</a>
          </div>
        </div>
      </div>
    </center>
  </div>
</div>
<% } %>

<% if (section === 'js') { %>
<script>
  function resetManmeer () {
    if (confirm("Wil je alles resetten?")) {
      connection.sendCommand('manMeer', 'resetAll')
    }
  }

  function otherTeam (team) {
    return team === 'home' ? 'away' : 'home'
  }

  function calculateCurrentTeam (data) {
    if (data.mode === 'sequential') {
      return data[data.startingTeam].length < data.games ? data.startingTeam : otherTeam(data.startingTeam)
    } else if (data.mode === 'alternately') {
      return data.home.length === data.away.length ? data.startingTeam : otherTeam(data.startingTeam)
    }
  }

  const manMeerShotclock = new Timer(100, 'down', (time) => {
    document.getElementById('manMeer-time').innerHTML = (Math.round(time * 10) / 10).toFixed(1)

    fitText(document.getElementById('manMeer-time'))
  })

  registerCommand('manMeer', 'data', (data) => {
    document.getElementById('manMeer-games').innerHTML = data.games
    document.getElementById('manMeer-starting-team').checked = data.startingTeam === 'away'
    document.getElementById('manMeer-mode').checked = data.mode === 'alternately'

    const currentTeam = calculateCurrentTeam(data)

    document.getElementById('manMeer-score').classList.remove(`manMeer-${otherTeam(currentTeam)}`)
    document.getElementById('manMeer-score').classList.add(`manMeer-${currentTeam}`)

    changeSubPage('manMeer', data.state)

    if (data.state === 'finished') {
      const home = data.home.filter(x => x).length
      const away = data.away.filter(x => x).length
      if (home === away) {
        document.getElementById('manMeer-finished-text').innerHTML = 'Gelijk spel!'
      } else if (home > away) {
        document.getElementById('manMeer-finished-text').innerHTML = 'Wit heeft gewonnen!'
      } else if (away > home) {
        document.getElementById('manMeer-finished-text').innerHTML = 'Blauw heeft gewonnen!'
      }
    } else {
      document.getElementById('manMeer-finished-text').innerHTML = ''
    }
  })

  registerCommand('manMeer', 'time', (data) => {
    manMeerShotclock.setTime(data.time)

    if (data.running) {
      manMeerShotclock.start()
    } else {
      manMeerShotclock.stop()
    }

    document.getElementById('manMeer-time-switch').checked = data.running
  })
</script>
<% } %>
